<?php
function wystapienia($gdzie, $co)
{
  $pos = 0;
  $count = 0;
  while(($pos = strpos($gdzie, $co, $pos)) !== false){
    $count++;
    $pos++;
  }
  return $count;
}

echo wystapienia("tekst1 lub tekst2 albo tekst3", "tekst");

?>
